package com.aiotagro.cattletrade.business.service;

import com.aiotagro.cattletrade.business.dto.LoginDto;
import com.aiotagro.common.core.web.domain.AjaxResult;

public interface LoginService {

    /**
     * 发送验证码
     *
     * @param mobile
     * @return
     */
    AjaxResult sendLoginSmsCode(String mobile);

    /**
     * 用户登录
     *
     * @param dto
     * @return
     */
    AjaxResult login(LoginDto dto);

    /**
     * 查询菜单
     *
     * @return
     */
    AjaxResult getUserMenus();

    /**
     * rfid获取用户信息
     *
     * @return
     */
    AjaxResult getUserInfo();
}
